--- oxygencursors-0.0.2010-05-10-kde4.4.3.orig/debian/preinst
+++ oxygencursors-0.0.2010-05-10-kde4.4.3/debian/preinst
@@ -0,0 +1,25 @@
+#! /bin/sh
+
+set -e
+
+REMOVED_LIST=""
+ICONDIR=/etc/X11/cursors
+
+case "$1" in
+    upgrade)
+	for theme in $REMOVED_LIST; 
+	do
+            if update-alternatives --list x-cursor-theme |grep -q $theme; then
+	      update-alternatives --remove $ICONDIR/$theme
+	      rm -f $ICONDIR/$theme
+            fi
+	done
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
--- oxygencursors-0.0.2010-05-10-kde4.4.3.orig/debian/dirs
+++ oxygencursors-0.0.2010-05-10-kde4.4.3/debian/dirs
@@ -0,0 +1,3 @@
+usr/share/icons/
+usr/share/icons/default
+etc/X11/cursors
--- oxygencursors-0.0.2010-05-10-kde4.4.3.orig/debian/rules
+++ oxygencursors-0.0.2010-05-10-kde4.4.3/debian/rules
@@ -0,0 +1,71 @@
+#!/usr/bin/make -f
+# -*- makefile -*-
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+ICONDIR=usr/share/icons
+WRAPPERDIR=etc/X11/cursors
+
+include /usr/share/quilt/quilt.make
+
+builddir: $(QUILT_STAMPFN)
+	mkdir -p $@
+
+builddir/Makefile: builddir
+	cd builddir && cmake .. -DCMAKE_INSTALL_PREFIX=/usr
+
+build-compile-cursors-stamp: builddir/Makefile
+	cd builddir && make
+	touch $@
+
+$(subst theme,cursors/oxy,$(wildcard theme-*)): build-compile-cursors-stamp
+	mkdir -p $@
+	cp -a builddir/$(subst cursors/,,$@)/cursors $@
+	cp $(subst cursors/oxy,theme,$@)/index.theme $@
+	
+
+build-stamp:  $(subst theme,cursors/oxy,$(wildcard theme-*))
+	touch $@
+
+build: build-stamp
+
+clean: unpatch
+	dh_testdir
+	dh_testroot
+	# Add here commands to clean up after the build process.
+	dh_clean
+	rm -rf cursors
+	rm -rf builddir
+	rm -f build-stamp build-compile-cursors-stamp
+
+install:
+	dh_testdir
+	dh_testroot
+	dh_clean -k 
+	dh_installdirs
+
+	# Add here commands to install the package into debian/comixcursors.
+	cp -a cursors/oxy-* $(CURDIR)/debian/oxygencursors/$(ICONDIR)
+
+	chmod +x debian/wrapperthemes.sh
+
+	debian/wrapperthemes.sh
+
+
+binary-arch: install
+# We have nothing to do here
+
+binary-indep: install
+	dh_testdir
+	dh_testroot
+	dh_installdocs
+	dh_installchangelogs 
+	dh_compress
+	dh_fixperms
+	dh_installdeb
+	dh_gencontrol
+	dh_md5sums
+	dh_builddeb
+
+binary: binary-indep binary-arch
+.PHONY: clean binary-indep binary-arch binary install 
--- oxygencursors-0.0.2010-05-10-kde4.4.3.orig/debian/changelog
+++ oxygencursors-0.0.2010-05-10-kde4.4.3/debian/changelog
@@ -0,0 +1,29 @@
+oxygencursors (0.0.2010-05-10-kde4.4.3-1) unstable; urgency=low
+
+  * New upstream release based on kde 4.4.3 cursors.
+    - Adds drag and drop cursor. Closes: #493038
+  * Move to debian email
+
+ -- Sune Vuorela <sune@debian.org>  Tue, 18 May 2010 16:23:19 +0200
+
+oxygencursors (0.0.2008-07-07-svn824849-1) unstable; urgency=low
+
+  * New upstream snapshot - as released with kde4 rc1.
+    - All patches dropped. Merged upstream
+    - More colors
+
+ -- Sune Vuorela <debian@pusling.com>  Thu, 10 Jul 2008 07:51:45 +0200
+
+oxygencursors (0.0.2008-01-27-a7b68163e7c8ccc1376-2) unstable; urgency=low
+
+  * Fix a couple of more icon names.
+
+ -- Sune Vuorela <debian@pusling.com>  Tue, 29 Jan 2008 08:47:21 +0100
+
+oxygencursors (0.0.2008-01-27-a7b68163e7c8ccc1376-1) unstable; urgency=low
+
+  * Initial release. Git snapshot.
+  * Add some extra names for the same cursors. Also forwarded upstream 
+    to Ruphy.
+
+ -- Sune Vuorela <debian@pusling.com>  Sun, 27 Jan 2008 14:00:11 +0100
--- oxygencursors-0.0.2010-05-10-kde4.4.3.orig/debian/compat
+++ oxygencursors-0.0.2010-05-10-kde4.4.3/debian/compat
@@ -0,0 +1 @@
+5
--- oxygencursors-0.0.2010-05-10-kde4.4.3.orig/debian/wrapperthemes.sh
+++ oxygencursors-0.0.2010-05-10-kde4.4.3/debian/wrapperthemes.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+ICONDIR=usr/share/icons
+WRAPPERDIR=etc/X11/cursors
+CURDIR=`pwd`
+        cd debian/oxygencursors/${ICONDIR}
+	for theme in oxy*
+	do 
+		grep -v Inherits ${CURDIR}/debian/oxygencursors/${ICONDIR}/${theme}/index.theme > tmp || exit 1
+		echo "Inherits = ${theme}" >> tmp  || exit 1
+		install -m 644 tmp ${CURDIR}/debian/oxygencursors/${WRAPPERDIR}/${theme}.theme || exit 1
+		rm tmp || exit 1
+	done 
+exit 0
--- oxygencursors-0.0.2010-05-10-kde4.4.3.orig/debian/prerm
+++ oxygencursors-0.0.2010-05-10-kde4.4.3/debian/prerm
@@ -0,0 +1,42 @@
+#! /bin/sh
+# prerm script for #PACKAGE#
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <prerm> `remove'
+#        * <old-prerm> `upgrade' <new-version>
+#        * <new-prerm> `failed-upgrade' <old-version>
+#        * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
+#        * <deconfigured's-prerm> `deconfigure' `in-favour'
+#          <package-being-installed> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+ICONDIR=/etc/X11/cursors
+
+case "$1" in
+    remove|deconfigure)
+        for theme in `find $ICONDIR -regex '.*oxy-.*theme$'`; do
+            update-alternatives --remove x-cursor-theme $theme
+        done
+    ;;
+    upgrade)
+    ;;
+    failed-upgrade)
+    ;;
+    *)
+        echo "prerm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
--- oxygencursors-0.0.2010-05-10-kde4.4.3.orig/debian/copyright
+++ oxygencursors-0.0.2010-05-10-kde4.4.3/debian/copyright
@@ -0,0 +1,29 @@
+This package was debianized by Sune Vuorela <debian@pusling.com> on
+Sun, 27 Jan 2007 14:28:26 +0000
+
+It was downloaded from ftp.kde.org and extracted from cursors subdir in
+kdebase-workspace tarball
+
+
+Copyright (C) 2007-2008 by Riccardo Iaconelli <riccardo@kde.org>
+Copyright (C) 2007-2008 by David Miller <miller@oxygen-icons.org>
+
+	This cursor theme and the associated scripts are free software:
+	you can redistribute them and/or modify them under the terms of
+	the GNU General Public License as published by the Free Software
+	Foundation, either version 3 of the License, or (at your option)
+	any later version.
+
+	This cursor theme and the associated scripts are distributed in
+	the hope that they will be useful, but WITHOUT ANY WARRANTY;
+	without even the implied warranty of MERCHANTABILITY or FITNESS
+	FOR A PARTICULAR PURPOSE.  See the GNU General Public License
+	for more details.
+
+	You should have received a copy of the GNU General Public License
+	along with this program.  If not, see <http://www.gnu.org/licenses/>.
+
+On Debian systems, you can find the full text of the GNU General Public License
+in /usr/share/common-licenses/GPL-3
+
+Debian packaging licensed under same terms as the icons
--- oxygencursors-0.0.2010-05-10-kde4.4.3.orig/debian/control
+++ oxygencursors-0.0.2010-05-10-kde4.4.3/debian/control
@@ -0,0 +1,16 @@
+Source: oxygencursors
+Section: x11
+Priority: optional
+Maintainer: Sune Vuorela <sune@debian.org>
+Build-Depends: debhelper (>= 5.0.0),inkscape,x11-apps,quilt, cmake
+Standards-Version: 3.7.3
+
+Package: oxygencursors
+Architecture: all
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Oxygen mouse cursor theme
+ This package contains the Oxygen cursor theme, 
+ originally created for KDE 4. 
+ . 
+ The cursors are available in numerous colors to 
+ match the style of any desktop.
--- oxygencursors-0.0.2010-05-10-kde4.4.3.orig/debian/postinst
+++ oxygencursors-0.0.2010-05-10-kde4.4.3/debian/postinst
@@ -0,0 +1,49 @@
+#! /bin/sh
+# postinst script for #PACKAGE#
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+#
+
+PRIORITY=50
+TARGET=/usr/share/icons/default/index.theme
+ICONDIR=/etc/X11/cursors
+
+case "$1" in
+    configure)
+	for theme in `find $ICONDIR -regex '.*oxy-.*theme$'`; 
+	do
+            if ! update-alternatives --list x-cursor-theme |grep -q $theme; then
+	      update-alternatives --install $TARGET x-cursor-theme $theme $PRIORITY
+            fi
+	done
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
